Subject: Re: [PATCH v4 08/16] pkt-line: fix -Wsign-compare warning on 32 bit platform

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Dec 2024 09:09:35 +0900

Jeff King <[email-masked]> writes:

> ... Whenever I think "but no callers
> do X", I always try to double-check: "might new callers want to do X"?
> And in this case, I think the answer is "no".

A very good piece of advice for those who are watching from
sidelines.  I agree that a return value that tries to tell more than
"yup, I read everything as instructed" would not help in this case.

> They are asking to read a
> whole packet, and it is an error if we don't come up with whole thing.
> Showing the partial garbage we did get is unlikely outside of debug
> tracing (and in that case we'd probably put the tracing inside this
> function anyway).
>
>>  pkt-line.c | 20 +++++++++++---------
>>  1 file changed, 11 insertions(+), 9 deletions(-)
>
> The patch itself looks good.
>
> -Peff